define servicegroup {
	servicegroup_name		SharePoint Dev/QA
	alias				SharePoint Dev/QA services
	members				csgspfe100w,nrpe_wintest_service_SharePoint2K10, csgspfe101w,nrpe_wintest_service_SharePoint2K10, csgspapp102w,nrpe_wintest_service_SharePoint2K10, csgspapp103w,nrpe_wintest_service_SharePoint2K10
}

define servicegroup {
	servicegroup_name		Maestro_DEV
	alias				Dev Maestro Services and Disk
	members				ais302l, nrpe_maestro_stdlistsz, ais302l, nrpe_unixtest_disk_app_maestro, ais302l, nrpe_maestro_procs, landrdev, nrpe_maestro_stdlistsz, ais101l, nrpe_maestro_stdlistsz, ais101l, nrpe_maestro_procs, ais101l, nrpe_unixtest_disk_app_maestro
}

define servicegroup {
	servicegroup_name		Maestro_Prod
	alias				Maestro Production Services
	members				ais204l, nrpe_maestro_stdlistsz, ais204l, nrpe_unix_disk_app_maestro, ais204l, nrpe_maestro_procs
}

define servicegroup {
	servicegroup_name		Maestro_app_services
	alias				Maestro/TWS application checks
	members				landr,nrpe_maestro_stdlistsz, landrdev,nrpe_maestro_stdlistsz
}

define servicegroup {
	servicegroup_name		Monitor
	alias				All important checks for the monitoring infrastructure
	servicegroup_members		Monitor Production, Monitor Dev/QA
}

define servicegroup {
	servicegroup_name		Monitor Production
	alias				Important checks for the production monitoring infrastructure
	members				mon204l,Gearman, mon204l,Selenium, mon205l,Gearman, mon205l,Selenium, monitor,Gearman Hub, monitor,Selenium Cluster, monitor,Selenium Hub
}

define servicegroup {
	servicegroup_name		Monitor Dev/QA
	alias				Important checks for the devqa monitoring infrastructure
	members				mon302l,Gearman DevQA, mon302l,Selenium DevQA, mon303l,Gearman DevQA, mon303l,Selenium DevQA, monitor-dev,Gearman DevQA Hub, monitor-dev,Selenium DevQA Cluster, monitor-dev,Selenium DevQA Hub
}

define servicegroup {
	servicegroup_name		OnBase Development
	alias				Checks for OnBase Development
	members				aisob301w,nrpe_wintest_service_W3SVC, aisob302w,nrpe_wintest_service_W3SVC, aisob310w,nrpe_wintest_service_W3SVC, aisob311w,nrpe_wintest_service_W3SVC, aisob315w,nrpe_wintest_service_W3SVC, aisob316w,nrpe_wintest_service_W3SVC, aisob316w,http_OnBase_Hyland, aisob318w,nrpe_wintest_service_W3SVC, aisob302w,nrpe_wintest_service_OnBase_DDS, aisob319w,nrpe_wintest_service_OnBase_DDS, aisob313w,nrpe_wintest_service_SMTP, aisob313w,nrpe_wintest_service_Hyland, aisob318w,nrpe_wintest_service_Hyland_FTS, aisob314w,nrpe_wintest_service_Hyland_Unity, aisob316w,nrpe_wintest_service_BizTalk
}

define servicegroup {
	servicegroup_name		OnBase QA
	alias				Checks for OnBase QA
	members				aisob301tstw,nrpe_wintest_service_W3SVC, aisob302tstw,nrpe_wintest_service_W3SVC, aisob310tstw,nrpe_wintest_service_W3SVC, aisob311tstw,nrpe_wintest_service_W3SVC, aisob315tstw,nrpe_wintest_service_W3SVC, aisob318tstw,nrpe_wintest_service_W3SVC, aisob302tstw,nrpe_wintest_service_OnBase_DDS, aisob319tstw,nrpe_wintest_service_OnBase_DDS, aisob313tstw,nrpe_wintest_service_SMTP, aisob313tstw,nrpe_wintest_service_Hyland, aisob314tstw,nrpe_wintest_service_Hyland_Unity, aisob101w,nrpe_wintest_service_W3SVC, aisob102w,nrpe_wintest_service_W3SVC, aisob110w,nrpe_wintest_service_W3SVC, aisob111w,nrpe_wintest_service_W3SVC, aisob115w,nrpe_wintest_service_W3SVC, aisob118w,nrpe_wintest_service_W3SVC, aisob102w,nrpe_wintest_service_OnBase_DDS, aisob119w,nrpe_wintest_service_OnBase_DDS, aisob113w,nrpe_wintest_service_SMTP, aisob113w,nrpe_wintest_service_Hyland, aisob118w,nrpe_wintest_service_Hyland_FTS, aisob114w,nrpe_wintest_service_Hyland_Unity
}

define servicegroup {
	servicegroup_name		OnBase Dev/QA
	alias				Checks for OnBase Dev/QA
	servicegroup_members		OnBase Development, OnBase QA
}

define servicegroup {
	servicegroup_name		OnBase Production
	alias				Checks for OnBase Production
	members				aisob201w,nrpe_win_service_W3SVC, aisob202w,nrpe_win_service_W3SVC, aisob210w,nrpe_win_service_W3SVC, aisob211w,nrpe_win_service_W3SVC, aisob215w,nrpe_win_service_W3SVC, aisob216w,nrpe_win_service_W3SVC, aisob216w,http_OnBase_Hyland, aisob218w,nrpe_win_service_W3SVC, aisob202w,nrpe_win_service_OnBase_DDS, aisob219w,nrpe_win_service_OnBase_DDS, aisob213w,nrpe_win_service_SMTP, aisob213w,nrpe_win_service_Hyland, aisob218w,nrpe_win_service_Hyland_FTS, aisob214w,nrpe_win_service_Hyland_Unity, aisob216w,nrpe_win_service_BizTalk
}

define servicegroup {
	servicegroup_name		csg_services
	alias				imap, smtp, pop3
	members				lists,SMTP, smtp,SMTP, smtp,SMTPS
}

define servicegroup {
	servicegroup_name		disk_app_lsscvms_services
	alias				Drives D -  K - Life Safety and Security
	members				lsscvms207w,nrpe_win_disk_app
}

define servicegroup {
	servicegroup_name		Webchecks
	alias				Webchecks to be run locally
	members				iamcas200w,https_CAS,  iamcas201w,https_CAS,  iamxythos200l,https_Webspace, iamxythos201l,https_Webspace, sdprsa200l,https_rsa_sc,  sdprsa200l,https_rsa_ss,  sdprsa201l,https_rsa_sc
}

define servicegroup {
	servicegroup_name		Local
	alias				Checks to be run locally
	members				backupvpn,Comcast, backupvpn,Google through Comcast, backupvpn,Verizon, backupvpn,Yahoo through Verizon, ims204,Naemon Latency, ims205,Naemon Latency, mon204l,Gearman, mon205l,Gearman, mon204l,Selenium, mon205l,Selenium, mon302l,Gearman DevQA, mon303l,Gearman DevQA, mon302l,Selenium DevQA, mon303l,Selenium DevQA, monitor-dev,Gearman DevQA Hub, monitor-dev,Selenium DevQA Hub, x110client01,snmp_unixtest_proc_memory_usage, x110client02,snmp_unixtest_proc_memory_usage, x210client01,snmp_unix_proc_memory_usage, x210client02,snmp_unix_proc_memory_usage
	
}

define servicegroup {
	servicegroup_name		Loghost
	alias				Log checks on eis222l
	members				.*,nrpe_unix_log_nfs_failure, .*,nrpe_unixtest_log_nfs_failure
}

define servicegroup {
	servicegroup_name		Network NTP
	alias				Network and Monitoring NTP services
	members				alfrente,NTP, alfrente,NTPq, capserver,NTP, capserver,NTPq, cuckoo,NTP, cuckoo,NTPq, four11,NTP, four11,NTPq, iblox1-vrrp,NTP, iblox1-vrrp,NTPq, iblox2-vrrp,NTP, iblox2-vrrp,NTPq, ibddipv6-vrrp,NTP, ibddipv6-vrrp,NTPq, netvclock200l,NTP, netvclock200l,NTPq, oznot,NTP, oznot,NTPq
}

define servicegroup {
	servicegroup_name		Network Web
	alias				Network and Monitoring Web checks
	members				Webcheck_host,https_mrtg_net, Webcheck_host,https_www_net
}

define servicegroup {
	servicegroup_name		External DNS
	alias				Backup external DNS servers
	members				monitor,DNS_a1-158_akam_net, monitor,DNS_a20-65_akam_net, monitor,DNS_a24-66_akam_net, monitor,DNS_a3-67_akam_net, monitor,DNS_a6-64_akam_net, monitor,DNS_a7-65_akam_net, monitor,DNS_auth1_dns_cogentco, monitor,DNS_auth2_dns_cogentco
}

define servicegroup {
	servicegroup_name		Network and Monitoring
	alias				Checks for Network and Monitoring group
	#	servicegroup_members		External DNS, Network NTP, Network Web, Solaris DNS
	servicegroup_members		External DNS, Network NTP, Network Web
}

